#
# spec file for package unpaper
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           unpaper
Version:        7.0.0
Release:        1.11
Summary:        Post-Processing Tool for Scanned Text Pages
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Other
URL:            https://www.flameeyes.eu/projects/unpaper
Source:         https://www.flameeyes.eu/files/%{name}-%{version}.tar.xz
BuildRequires:  %{python_module Sphinx >= 3.4}
BuildRequires:  %{python_module pytest}
BuildRequires:  libavcodec-devel
BuildRequires:  libavformat-devel
BuildRequires:  libavutil-devel
BuildRequires:  libxslt-tools
BuildRequires:  meson
BuildRequires:  pkgconfig

%description
The unpaper command line tool helps with post-processing scanned text
pages, especially with	book pages scanned from photocopies. unpaper
tries to remove dark edges, corrects the rotation ("deskewing"), and
aligns the centering of pages.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/unpaper
%{_mandir}/man1/unpaper.1%{?ext_man}

%changelog
* Thu May  5 2022 Paolo Stivanin <info@paolostivanin.com>
- Update to version 7.0.0:
  * Tests now compare a golden file by counting the bytes that differ
  between it and the result. This allows non-byte-perfect
  calculations to be executed and still not fail the tests. This is
  required as fused multiply-add instructions can increase precision
  and thus deviate from the base C code, when using floating-point
  arithmetic.
  * Build is now provided by Meson, replacing the Autotools based
  build system introduced in 0.4, 10½ years ago.
  * Compatibility expanded to ffmpeg-5, which is the current widely
  available release.
* Wed Apr  8 2015 p.drouand@gmail.com
- Update to version 6.1
  * Compatibility with ffmpeg's implementation of libavcodec, and
  libav-11 and later.
- New dependencies from upstream
  * libavcodec-devel
  * libavformat-devel
  * libavutil-devel
  * libxslt-tools
  * pkg-config
- Update project and download Urls
- Spec files cleanup and other improvements
* Wed Oct  8 2014 jengelh@inai.de
- Remove old specfile tags and sections
* Tue Jun 16 2009 ke@suse.de
- Update to 0.3.
* Mon Jun 15 2009 kukuk@suse.de
- Fix link order
* Mon Jun  4 2007 ke@suse.de
- Fix eol markers of the license file.
* Tue Jan 16 2007 ke@suse.de
- Install the binary in /usr/bin; reported by John McManaman [# 234548].
* Mon May 29 2006 schwab@suse.de
- Don't strip binaries.
* Tue May 23 2006 ke@suse.de
- Version 0.2: Post-Processing Tool for Scanned Text Pages.
